// Bastard File System
// (C) 2007 Rene Schickbauer
//
// The Bastard File System (BFS) is a small virtual FS for Applications
// that would normally use Tarballs and/or Zipfiles but have to dynamically
// change its contents
//
// WARNING: This is still ALPHA QUALITY CODE! Use with care!
//
//
#ifndef BFS_FILE
#define BFS_FILE

#include "bfs.h"

bool readFile(sBFS* handle, char* path, FILEDATA* fdata);
bool writeFile(sBFS* handle, char* path, FILEDATA* fdata);
bool deleteFile(sBFS* handle, char* path);
bool statFile(sBFS* handle, char* path, int* numBlocks, int* bytes);
bool statFile_fromBlock(sBFS* handle, int startblock, int* numBlocks, int* bytes);

#endif // BFS_FILE
